package net.minecraft.src;

public class mod_FlintTools extends BaseMod {

	public mod_FlintTools()
	{
		//Flint Pickaxe
		FlintPick = (new ItemPickaxe(30000, EnumToolMaterial.STONE)).setItemName("FlintPick");
		FlintPick.iconIndex = ModLoader.addOverride("/gui/items.png", "/ft/FlintPick.png");
		ModLoader.AddName(FlintPick, "Flint Pickaxe");
		ModLoader.AddRecipe(new ItemStack(FlintPick), new Object[] 
		{
				"XXX", " # ", " # ", Character.valueOf('#'), Item.stick, Character.valueOf('X'), Item.flint
		});
		
		//Flint Shovel
		FlintShovel = (new ItemSpade(30001, EnumToolMaterial.STONE)).setItemName("FlintShovel");
		FlintShovel.iconIndex = ModLoader.addOverride("/gui/items.png", "/ft/FlintShovel.png");
		ModLoader.AddName(FlintShovel, "Flint Shovel");
		ModLoader.AddRecipe(new ItemStack(FlintShovel), new Object[] 
		{
				"X", "#", "#", Character.valueOf('#'), Item.stick, Character.valueOf('X'), Item.flint
		});

		//Flint Axe
		FlintAxe = (new ItemAxe(30002, EnumToolMaterial.STONE)).setItemName("FlintAxe");
		FlintAxe.iconIndex = ModLoader.addOverride("/gui/items.png", "/ft/FlintAxe.png");
		ModLoader.AddName(FlintAxe, "Flint Axe");
		ModLoader.AddRecipe(new ItemStack(FlintAxe), new Object[] 
		{
				"XX", "X#", " #", Character.valueOf('#'), Item.stick, Character.valueOf('X'), Item.flint
		});

		//Flint Sword
		FlintSword = (new ItemSword(30003, EnumToolMaterial.STONE)).setItemName("FlintSword");
		FlintSword.iconIndex = ModLoader.addOverride("/gui/items.png", "/ft/FlintSword.png");
		ModLoader.AddName(FlintSword, "Flint Sword");
		ModLoader.AddRecipe(new ItemStack(FlintSword), new Object[] 
		{
				"X", "X", "#", Character.valueOf('#'), Item.stick, Character.valueOf('X'), Item.flint
		});
		
		//Flint Hoe
		FlintHoe = (new ItemHoe(30004, EnumToolMaterial.STONE)).setItemName("FlintHoe");
		FlintHoe.iconIndex = ModLoader.addOverride("/gui/items.png", "/ft/FlintHoe.png");
		ModLoader.AddName(FlintHoe, "Flint Hoe");
		ModLoader.AddRecipe(new ItemStack(FlintHoe), new Object[] 
		{
				"XX", " #", " #", Character.valueOf('#'), Item.stick, Character.valueOf('X'), Item.flint
		});
	}
	
	public String Version() {
		return "1.0";
	}
	
	public Item FlintPick;
	public Item FlintShovel;
	public Item FlintAxe;
	public Item FlintSword;
	public Item FlintHoe;
}
